/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IHisatuacao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Hisatuacao implements VertxPojo, IHisatuacao {

    private static final long serialVersionUID = -746646144;

    private Integer histatuaid;
    private Integer fkardid;
    private Integer fktanid;
    private Integer fkatuid;
    private Integer fkempid;
    private String  hora;
    private Date    dia;
    private String  medida;

    public Hisatuacao() {}

    public Hisatuacao(Hisatuacao value) {
        this.histatuaid = value.histatuaid;
        this.fkardid = value.fkardid;
        this.fktanid = value.fktanid;
        this.fkatuid = value.fkatuid;
        this.fkempid = value.fkempid;
        this.hora = value.hora;
        this.dia = value.dia;
        this.medida = value.medida;
    }

    public Hisatuacao(
        Integer histatuaid,
        Integer fkardid,
        Integer fktanid,
        Integer fkatuid,
        Integer fkempid,
        String  hora,
        Date    dia,
        String  medida
    ) {
        this.histatuaid = histatuaid;
        this.fkardid = fkardid;
        this.fktanid = fktanid;
        this.fkatuid = fkatuid;
        this.fkempid = fkempid;
        this.hora = hora;
        this.dia = dia;
        this.medida = medida;
    }

    @Override
    public Integer getHistatuaid() {
        return this.histatuaid;
    }

    @Override
    public Hisatuacao setHistatuaid(Integer histatuaid) {
        this.histatuaid = histatuaid;
        return this;
    }

    @Override
    public Integer getFkardid() {
        return this.fkardid;
    }

    @Override
    public Hisatuacao setFkardid(Integer fkardid) {
        this.fkardid = fkardid;
        return this;
    }

    @Override
    public Integer getFktanid() {
        return this.fktanid;
    }

    @Override
    public Hisatuacao setFktanid(Integer fktanid) {
        this.fktanid = fktanid;
        return this;
    }

    @Override
    public Integer getFkatuid() {
        return this.fkatuid;
    }

    @Override
    public Hisatuacao setFkatuid(Integer fkatuid) {
        this.fkatuid = fkatuid;
        return this;
    }

    @Override
    public Integer getFkempid() {
        return this.fkempid;
    }

    @Override
    public Hisatuacao setFkempid(Integer fkempid) {
        this.fkempid = fkempid;
        return this;
    }

    @Override
    public String getHora() {
        return this.hora;
    }

    @Override
    public Hisatuacao setHora(String hora) {
        this.hora = hora;
        return this;
    }

    @Override
    public Date getDia() {
        return this.dia;
    }

    @Override
    public Hisatuacao setDia(Date dia) {
        this.dia = dia;
        return this;
    }

    @Override
    public String getMedida() {
        return this.medida;
    }

    @Override
    public Hisatuacao setMedida(String medida) {
        this.medida = medida;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Hisatuacao (");

        sb.append(histatuaid);
        sb.append(", ").append(fkardid);
        sb.append(", ").append(fktanid);
        sb.append(", ").append(fkatuid);
        sb.append(", ").append(fkempid);
        sb.append(", ").append(hora);
        sb.append(", ").append(dia);
        sb.append(", ").append(medida);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IHisatuacao from) {
        setHistatuaid(from.getHistatuaid());
        setFkardid(from.getFkardid());
        setFktanid(from.getFktanid());
        setFkatuid(from.getFkatuid());
        setFkempid(from.getFkempid());
        setHora(from.getHora());
        setDia(from.getDia());
        setMedida(from.getMedida());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IHisatuacao> E into(E into) {
        into.from(this);
        return into;
    }

    public Hisatuacao(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
